org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class Bulkhead10ClassAsynchronousBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead10ClassAsynchronousBean

    @Bulkhead(value=10)
     @Asynchronous
     @ApplicationScoped
    public class Bulkhead10ClassAsynchronousBean
    extends Object

A simple class level Asychronous @Bulkhead(10)

Author:
  Gordon Hutchison, Andrew Rouse

### Constructor Summary

Constructors
Constructor and Description
`Bulkhead10ClassAsynchronousBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<?>` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bulkhead10ClassAsynchronousBean

    public Bulkhead10ClassAsynchronousBean()

### Method Detail

#### test

    public Future<?> test(Barrier barrier)